## astroalign 2.6.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/astroalign.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/astroalign.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/astroalign"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/astroalign"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## astroalign 2.4.1

=== debian/changelog ===
astroalign (2.4.1-3) unstable; urgency=medium

  * Don't install ez_setup.py (Closes: #1018791)

 -- Ole Streicher <olebole@debian.org>  Fri, 02 Sep 2022 11:24:10 +0200

astroalign (2.4.1-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Aug 2022 21:19:00 +0200

astroalign (2.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #978432)

 -- Ole Streicher <olebole@debian.org>  Tue, 09 Aug 2022 14:31:18 +0200

=== debian/control ===
Source: astroalign
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astropy <!nocheck>,
               python3-ccdproc <!nocheck>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-sep,
               python3-setuptools,
               python3-skimage
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astroalign
Vcs-Git: https://salsa.debian.org/debian-astro-team/astroalign.git
Homepage: https://github.com/quatrope/astroalign
Rules-Requires-Root: no

Package: python3-astroalign
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-sep
Recommends: python3-astropy
Description: Astrometric registration of images when no WCS info is available
 Astroalign is a Python module that will try to align two stellar
 astronomical images, especially when there is no WCS information
 available.
 .
 It does so by finding similar 3-point asterisms (triangles) in both
 images and deducing the affine transformation between them.
 .
 Generic registration routines try to match feature points, using
 corner detection routines to make the point correspondence. These
 generally fail for stellar astronomical images, since stars have very
 little stable structure and so, in general, indistinguishable from
 each other. Asterism matching is more robust, and closer to the human
 way of matching stellar images.

## astroalign 2.4.2

=== debian/changelog ===
astroalign (2.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Ole Streicher ]
  * New upstream version 2.4.2
  * Drop Don-t-install-ez_setup.py.patch: not needed anymore
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Jun 2023 22:07:34 +0200

## astroalign 2.5.1

=== debian/changelog ===
astroalign (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Oct 2023 10:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sep,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astroalign
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astroalign.git
 Homepage: https://github.com/quatrope/astroalign

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/astroalign-$1\.tar\.gz/ \
  https://github.com/quatrope/astroalign/tags .*/v?(\d\S+)\.tar\.gz

## astroalign 2.6.0

=== debian/changelog ===
astroalign (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Revert use of sep-pjw back to original sep

 -- Ole Streicher <olebole@debian.org>  Thu, 24 Oct 2024 16:19:29 +0200

## astroalign 2.6.1

=== debian/changelog ===
astroalign (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed.
  * Build-depend on pybuild-plugin-pyproject

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Nov 2024 08:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astropy <!nocheck>,
                python3-ccdproc <!nocheck>,
@@ -14,7 +15,7 @@
                python3-sep,
                python3-setuptools,
                python3-skimage
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astroalign
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astroalign.git
 Homepage: https://github.com/quatrope/astroalign

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest, python3-astropy, python3-ccdproc

## astroalign 2.6.2

=== tests/requirements.txt ===
astropy
ccdproc
pillow

=== debian/changelog ===
astroalign (2.6.2-1) unstable; urgency=medium

  * d/watch: update to format version 5.0 Switch upstream to Github
  * New upstream version 2.6.2
  * Drop Revert-use-of-sep-pjw-back-to-original-sep.patch: applied upstream
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Sep 2025 17:48:20 +0200

=== debian/control ===
Source: astroalign
Standards-Version: 4.7.2
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-astropy <!nocheck>,
 python3-ccdproc <!nocheck>,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy,
 python3-sep,
 python3-setuptools,
 python3-skimage,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astroalign
Vcs-Git: https://salsa.debian.org/debian-astro-team/astroalign.git
Homepage: https://github.com/quatrope/astroalign
Rules-Requires-Root: no

Package: python3-astroalign
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-sep,
Recommends:
 python3-astropy,
Description: Astrometric registration of images when no WCS info is available
 Astroalign is a Python module that will try to align two stellar
 astronomical images, especially when there is no WCS information
 available.
 .
 It does so by finding similar 3-point asterisms (triangles) in both
 images and deducing the affine transformation between them.
 .
 Generic registration routines try to match feature points, using
 corner detection routines to make the point correspondence. These
 generally fail for stellar astronomical images, since stars have very
 little stable structure and so, in general, indistinguishable from
 each other. Asterism matching is more robust, and closer to the human
 way of matching stellar images.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=astroalign

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: quatrope
Project: astroalign
